using FitConnect.Services.Models;

namespace FitConnect.Models;

public record Callback(string? Url, string? Secret) {
    public static explicit operator Callback(CallbackDto dto) {
        return new Callback(dto?.Url, null);
    }

    public static explicit operator CallbackDto(Callback model) {
        return new CallbackDto { Url = model.Url };
    }
}
