using System.Text.Json.Serialization;

namespace FitConnect.Services.Models.v1.Submission;

public class SubmissionReducedDto {
    [JsonPropertyName("serviceType")]
    private ServiceTypeDto _serviceTypeDto { get; set; }


    [JsonPropertyName("attachments")]
    private List<string>? Attachments { get; set; }


    [JsonPropertyName("callback")]
    private CallbackDto? Callback { get; set; }


    [JsonPropertyName("caseId")]
    private string? CaseId { get; set; }

    [JsonPropertyName("destinationId")]
    private string? DestinationId { get; set; }


    [JsonPropertyName("submissionId")]
    private string? SubmissionId { get; set; }
}
